Botan 2.19.5 Crypto and TLS for C&

fd_unix.h
Go to the documentation of this file.
1/*
2* Pipe I/O for Unix
3* (C) 1999-2007 Jack Lloyd
4*
5* Botan is released under the Simplified BSD License (see license.txt)
6*/
7
8#ifndef BOTAN_PIPE_UNIXFD_H_
9#define BOTAN_PIPE_UNIXFD_H_
10
11#include <botan/types.h>
12
13 namespace Botan {
14
15 class Pipe;
16
17/**
18* Stream output operator; dumps the results from pipe's default
19* message to the output stream.
20* @param out file descriptor for an open output stream
21* @param pipe the pipe
22*/
23 int BOTAN_PUBLIC_API(2,0) operator<<(int out, Pipe& pipe);
24
25/**
26* File descriptor input operator; dumps the remaining bytes of input
27* to the (assumed open) pipe message.
28* @param in file descriptor for an open input stream
29* @param pipe the pipe
30*/
31 int BOTAN_PUBLIC_API(2,0) operator>>(int in, Pipe& pipe);
32
33}
34
35#endif
BOTAN_PUBLIC_API
#define BOTAN_PUBLIC_API(maj, min)
Definition: compiler.h:31
Botan
Definition: alg_id.cpp:13